package com.sw.mes.yb.turnstore.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.turnstore.entity.TurnstoreOutItem;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface TurnstoreOutItemService extends BaseService<TurnstoreOutItem> {
    List<TurnstoreOutItem> getItemsByOrderNo(String orderNo);
    List<TurnstoreOutItem> getItemsByOutId(Integer outId);
    List<TurnstoreOutItem> getItemsBySectionNoAndType(String sectionNo, String type);
    List<TurnstoreOutItem> findByTypeAndStateAndSectionNoOrderByIdDesc(String type, String state, String sectionNo);
    List<TurnstoreOutItem> findBySectionNoOrderByIdDesc(String sectionNo);
}
